<xmlmodfile>
  <model>
    <variables>
      <variable name="k" />
      <variable name="c" />
      <variable name="z" />
    </variables>
    <exovariables />
    <shocks>
      <variable name="epsilon" />
    </shocks>
    <parameters>
      <parameter name="alpha" value="0" />
      <parameter name="beta" value="0" />
      <parameter name="gamma" value="0" />
      <parameter name="delta" value="0" />
      <parameter name="aa" value="0" />
    </parameters>
    <equations>
      <equation>c + k == (1 - delta)*k(-1) + k(-1)**alpha*(1 +
      z)*aa</equation>
      <equation>0 == -1/(1 + beta)*c(1)**(-gamma)*(1 - delta +
      k**(-1 + alpha)*(1 + z(1))*aa*alpha) + c**(-gamma)</equation>
      <equation>z == epsilon</equation>
    </equations>
  </model>
  <solver>
    <initparams>
      <parameter name="alpha" value="0.5" />
      <parameter name="beta" value="0.05" />
      <parameter name="gamma" value="0.5" />
      <parameter name="delta" value="2*alpha" />
      <parameter name="aa" value="0.5" />
    </initparams>
    <initvalues>
      <variable name="aa"
      value="(1/aa/alpha*(beta + delta))^(1/(-1 + alpha))" />
      <variable name="aa" value="0" />
      <variable name="aa" value="k^alpha*aa - delta*k" />
    </initvalues>
  </solver>
</xmlmodfile>
